package com.dsic.gj_erp.bean.jcsj.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-09-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DmCzplpNew对象", description="")
public class PlExcel implements Serializable {

    private static final long serialVersionUID=1L;
    @ApiModelProperty(value = "船号")
    @ExcelProperty(index = 0)
    private String dcCh;
    @ApiModelProperty(value = "批量")
    @ExcelProperty(index = 1)
    private String dcPL;



    @ApiModelProperty(value = "区域")
    @ExcelProperty(index = 2)
    private String qy;

    @ApiModelProperty(value = "分段")
    @ExcelProperty(index = 3)
    private String dcFd1;




    @ExcelProperty(index = 4)
    private String dcFd2;
    @ExcelProperty(index = 5)
    private String dcFd3;
    @ExcelProperty(index = 6)
    private String dcFd4;
    @ExcelProperty(index = 7)
    private String dcFd5;
    @ExcelProperty(index = 8)
    private String dcFd6;
    @ExcelProperty(index = 9)
    private String dcFd7;
    @ExcelProperty(index = 10)
    private String dcFd8;



    @ApiModelProperty(value = "总段号")
    @ExcelProperty(index = 11)
    private String zdh;

    @ApiModelProperty(value = "重量")
    @ExcelProperty(index = 12)
    private BigDecimal zl;



    @ApiModelProperty(value = "集团3月滚动期")
    @ExcelProperty(index = 13)
    @DateTimeFormat("yyyy/MM/dd")
    private String gdqJt;

    @ApiModelProperty(value = "钢加结束（大组）1")
    @ExcelProperty(index = 14)
    @DateTimeFormat("yyyy/MM/dd")
    private String dzjsq;

    @ApiModelProperty(value = "中日程（大组结束）")
    @ExcelProperty(index = 15)
    @DateTimeFormat("yyyy/MM/dd")
    private String dzjsqZrc;

    @ApiModelProperty(value = "钢加结束（小组）1")
    @ExcelProperty(index = 16)
    @DateTimeFormat("yyyy/MM/dd")
    private String xzjsq;

    @ApiModelProperty(value = "中日程（小组结束）")
    @ExcelProperty(index = 17)
    @DateTimeFormat("yyyy/MM/dd")
    private String xzjsqZrc;

    @ApiModelProperty(value = "钢加开始1")
    @ExcelProperty(index = 18)
    @DateTimeFormat("yyyy/MM/dd")
    private String gjks;

    @ApiModelProperty(value = "中日程（钢加开始）")
    @ExcelProperty(index = 19)
    @DateTimeFormat("yyyy/MM/dd")
    private String gjksZrc;

    @ApiModelProperty(value = "订货期次")
    @ExcelProperty(index = 20)
    private String dhqc;

    @ApiModelProperty(value = "套料图下发1")
    @ExcelProperty(index = 21)
    @DateTimeFormat("yyyy/MM/dd")
    private String xfqTlt;

    @ApiModelProperty(value = "套料图接收")
    @ExcelProperty(index = 22)
    @DateTimeFormat("yyyy/MM/dd")
    private String jsqTlt;

    @ApiModelProperty(value = "板材领取表下发1")
    @ExcelProperty(index = 23)
    @DateTimeFormat("yyyy/MM/dd")
    private String xfqLqb;

    @ApiModelProperty(value = "板材领取表接收")
    @ExcelProperty(index = 24)
    @DateTimeFormat("yyyy/MM/dd")
    private String jsqLqb;

    @ApiModelProperty(value = "零件配套表下发")
    @ExcelProperty(index = 25)
    @DateTimeFormat("yyyy/MM/dd")
    private String xfqPtb;

    @ApiModelProperty(value = "零件配套表接收")
    @ExcelProperty(index = 26)
    @DateTimeFormat("yyyy/MM/dd")
    private String jsqPtb;

    @ApiModelProperty(value = "大组数量")
    @ExcelProperty(index = 27)
    private BigDecimal slDz;

    @ApiModelProperty(value = "小组数量")
    @ExcelProperty(index = 28)
    private BigDecimal slXz;

    @ApiModelProperty(value = "大组齐套日期")
    @ExcelProperty(index = 29)
    @DateTimeFormat("yyyy/MM/dd")
    private String qtqDz;

    @ApiModelProperty(value = "小组齐套日期")
    @ExcelProperty(index = 30)
    @DateTimeFormat("yyyy/MM/dd")
    private String qtqXz;

    @ApiModelProperty(value = "分段需求期")
    @ExcelProperty(index = 31)
    @DateTimeFormat("yyyy/MM/dd")
    private String fdxqq;

    @ApiModelProperty(value = "实际配送期")
    @ExcelProperty(index = 32)
    @DateTimeFormat("yyyy/MM/dd")
    private String sjpsq;

    @ApiModelProperty(value = "订货清单号")
    @ExcelProperty(index = 33)
    private String dhqd;

    @ApiModelProperty(value = "订货清单下发1")
    @ExcelProperty(index = 34)
    @DateTimeFormat("yyyy/MM/dd")
    private String xfqDhqd;

    @ApiModelProperty(value = "实际订货日期")
    @ExcelProperty(index = 35)
    @DateTimeFormat("yyyy/MM/dd")
    private String sjdhrq;

    @ApiModelProperty(value = "板材到齐")
    @ExcelProperty(index = 36)
    @DateTimeFormat("yyyy/MM/dd")
    private String bcdq;

    @ApiModelProperty(value = "实际到货日期")
    @ExcelProperty(index = 37)
    @DateTimeFormat("yyyy/MM/dd")
    private String sjarrival;

    @ApiModelProperty(value = "结算数据标识区域")
    @ExcelProperty(index = 38)
    private String jsbs;

//    @ApiModelProperty(value = "状态：0:编辑1:提交2:审核")
//    private String zt;
//
//    private String xzjsqsm;
//
//    private String id;
//
//    private String xfqLqb1sm;
//
//    private String xfqTlt1;
//
//    private String dzjsq1;
//
//    private String xfqTltsm;
//
//    private String dzjsqsm;
//
//    private String gjks1;
//
//    private String xfqDhqd1;
//
//    private String gjkssm;
//
//    private String xzjsq1;
//
//    private String xfqDhqd1sm;
//
//    private String xfqLqb1;


}
