package com.dsic.gj_erp.service.jcsj.impl;

import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.dsic.gj_erp.bean.jcsj.DmCbxxp;
import com.dsic.gj_erp.mapper.jcsj.DmCbxxpMapper;
import com.dsic.gj_erp.service.jcsj.DmCbxxpService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author xn
 * @since 2023-09-11
 */
@Service
public class DmCbxxpServiceImpl extends ServiceImpl<DmCbxxpMapper, DmCbxxp> implements DmCbxxpService {
@Autowired
    DmCbxxpMapper dmCbxxpMapper;
    @Override
    public List<DmCbxxp> getList(Map map) {
        QueryWrapper<DmCbxxp> qw= new QueryWrapper<>();
        qw.likeRight(StrUtil.isNotEmpty((String)map.get("cbbm")),"cbbm",(String)map.get("cbbm"));
        qw.eq(StrUtil.isNotEmpty((String)map.get("wgbs")),"wgbs",(String)map.get("wgbs"));
        qw.orderBy(true,true,"cbmc");
        List<DmCbxxp> list = this.list(qw);
        list.forEach(e->{
            e.setCbbm1(e.getCbbm());
        });
        return list;
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void del(List<DmCbxxp> dmCbxxps) {
        dmCbxxps.forEach(e->{
            this.removeById(e.getCbbm());
        });
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void edit(List<DmCbxxp> dmCbxxps) {
        dmCbxxps.forEach(e->{
            dmCbxxpMapper.updateByPrimaryKeySelective(e);
        });
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void add(List<DmCbxxp> dmCbxxps, HttpServletRequest request) {
        dmCbxxps.forEach(e->{
            e.setBzr((String)request.getAttribute("yhdm"));
            e.setBzrq(DateUtil.format(DateUtil.date(),"yyyy/MM/dd"));
            this.save(e);
        });
    }
}
